Package com.io7m.idstore.server.service.configuration.jaxb

# Class ColorType

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.ColorType

public class ColorType extends Object
An RGB color.

Java class for ColorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ColorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="Red" use="required" type="{urn:com.io7m.idstore:configuration:1}ColorComponent" />
           <attribute name="Green" use="required" type="{urn:com.io7m.idstore:configuration:1}ColorComponent" />
           <attribute name="Blue" use="required" type="{urn:com.io7m.idstore:configuration:1}ColorComponent" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected double`
  `blue`
  `protected double`
  `green`
  `protected double`
  `red`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getBlue()`
  Gets the value of the blue property.
  `double`
  `getGreen()`
  Gets the value of the green property.
  `double`
  `getRed()`
  Gets the value of the red property.
  `void`
  `setBlue(double value)`
  Sets the value of the blue property.
  `void`
  `setGreen(double value)`
  Sets the value of the green property.
  `void`
  `setRed(double value)`
  Sets the value of the red property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### red

    protected double red

  - ### green

    protected double green

  - ### blue

    protected double blue

- ## Constructor Details

  - ### ColorType

    public ColorType()

- ## Method Details

  - ### getRed

    public double getRed()
    Gets the value of the red property.

  - ### setRed

    public void setRed(double value)
    Sets the value of the red property.

  - ### getGreen

    public double getGreen()
    Gets the value of the green property.

  - ### setGreen

    public void setGreen(double value)
    Sets the value of the green property.

  - ### getBlue

    public double getBlue()
    Gets the value of the blue property.

  - ### setBlue

    public void setBlue(double value)
    Sets the value of the blue property.